apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: llink-web
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
        - image: llink-web
          context: .
          docker:
            dockerfile: Dockerfile
            buildArgs:
              APP_ENV: dev
    manifests:
      rawYaml:
        - k8s/dev/llink-web.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
        - image: llink-web
          context: .
          docker:
            dockerfile: Dockerfile
            buildArgs:
              APP_ENV: prod
    manifests:
      rawYaml:
        - k8s/prod/llink-web.yaml
    deploy:
      kubectl: {}
